


function m021_2()

local	xz=flag.GetValue(6001)	--主线旗标
local	xz1=flag.GetValue(6100)	--主线副旗标

if	xz==212	and	xz1==0	then	



	--开始剧情 
	func_start(2500,3200,0,1)	
	--修改旗标 
	flag.SetValue(6001,213)  
	
	--修改行程
	ui.FinishQuest(588)
	ui.AddQuest(589)		

	
	
	local	i
	
	
	--npc建立 
	--夏侯澜辉
	npc.Create(1,1,2486,3247)
	npc.SetAt(1,0,-1)
	--瑕	
	npc.Create(2,2,2511,3236)
	npc.SetAt(2,0,-1)
	--暮菖兰 
	npc.Create(4,4,2527,3264)
	npc.SetAt(4,0,-1)
	--罡斩 
	npc.Create(5,5,2500,3275)
	npc.SetAt(5,0,-1)
	--凌波 
	npc.Create(8,8,2466,3267)
	npc.SetAt(8,0,-1)
	--岚翼 
	npc.CreateFloat(43,11,2514,80,3080)
	npc.SetVisible(11,0)	
	npc.SetAt(11,0,1)
	--霖风草 
	npc.CreateFloat(265,12,2522,2,2993)
	npc.CreateFloat(265,13,2502,2,2997)
	npc.CreateFloat(265,14,2480,2,2992)
	npc.CreateFloat(265,15,2491,2,2998)
	npc.CreateFloat(265,16,2494,2,2979)
	npc.CreateFloat(265,17,2510,2,2986)
	npc.SetAt(12,-1,1)
	npc.SetAt(14,1,1)
	npc.SetAt(15,-1,1)		
	npc.ScaleTo(12,70,10)	
	npc.ScaleTo(13,70,10)	
	npc.ScaleTo(14,90,10)
	npc.ScaleTo(15,65,10)	
	npc.ScaleTo(16,110,10)
	npc.ScaleTo(17,105,10)

















	--镜头1 
	-- 特写仙草 
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(2511,29,3058,2490,5,2962)		
	camera.ResetLerp(4000)
	camera.ChangeCameraStatic(2511,29,3058,2499,5,2961)	

	--淡入 
	effect.FadeIn(1,1)
	global.WaitForCameraLerp()
	
	

	

	--镜头2 
	-- 面向众人 
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(2519,47,3167,2508,27,3264)	
	camera.ResetLerp(8000)
	camera.ChangeCameraStatic(2496,41,3196,2506,24,3294)		
	global.Wait(0.5)

	ui.Dialog(80264,165,0,4,0,0)--看来这就是草谷道长提到过的药草了。

	-- 瑕开心 
	npc.SetAnim(2,211,2)
	global.Wait(1)

	ui.Dialog(80265,192,0,2,0,0)		--亮晶晶的……真漂亮啊。
	
	--夏侯思考 
	npc.SetAnim(1,219,2)
	global.Wait(1)
	
	ui.Dialog(80266,521,2,1,0,0)		--光华流彩，馥郁芬芳。不愧为天地灵草。

	-- 罡斩笑 
	npc.SetAnim(5,211,2)
	global.Wait(1)
 
	ui.Dialog(80267,115,2,5,0,0)		--嘿嘿，拿这东西能换不少酒喝吧？
	global.Wait(0.5)

	-- 众人转向罡斩  （除凌波 ）
	npc.TurnToNpc(1,5)
	npc.TurnToNpc(4,5)
	npc.TurnToNpc(2,5,1)
	global.Wait(1)
	npc.SetHeadRotTo(5,2,1,50)
	global.Wait(1)
	--罡斩思考  
	npc.SetAnimSpeed(5,50)
	npc.SetAnim(5,216)
	npc.SetAnimSpeed(5,100)
	global.Wait(1)
	
	ui.Dialog(80268,121,2,5,0,0)		--我说笑的，说笑的，哈哈……
	global.Wait(0.5)
	
	
	
	
	
	--镜头3  
	-- 面向凌波 
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(2469,54,3121,2470,31,3218)		
	camera.ResetLerp(3000)
	camera.ChangeCameraStatic(2476,37,3186,2462,26,3284)	 
	-- 凌波走向前  
	npc.MoveTo(8,2472,3220,1)
	global.Wait(0.5)
	-- 众人转向仙草  
	npc.SetAnim(5,200)
	npc.SetHeadRotTo(5,13,0,50)
	npc.TurnToNpc(1,13)
	npc.TurnToNpc(2,13)
	npc.TurnToNpc(4,13)
	global.WaitForCameraLerp()
	-- 凌波四处看看  
	npc.SetHeadRot(8,-30,-10,1,25)
	global.Wait(1)
	npc.SetHeadRot(8,30,-10,1,25)
	global.Wait(1)
	-- 凌波行礼  
	npc.SetHeadRot(8,0,0,0,50)
	global.Wait(1)
	npc.SetAnim(8,213,2)
	global.Wait(1)
	
	ui.Dialog(80269,150,0,8,0,0)		--在下是蜀山弟子，特来求药，望仙灵赐予几株霖风草。
	
	--等待几秒 
	global.Wait(2)
	
	
	--镜头4  
	-- 特写仙草 
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(2507,36,3063,2502,6,2967)		
	global.Wait(0.5)		 
	-- 仙草悬浮飘起来 
	npc.CreateSE(13,4344)
	npc.SetSpeed(13,0.1)
	npc.FloatTo(13,2502,15,2997)
	npc.SetSpeed(13,1)
	--等待几秒  
	global.Wait(2)
	
	
	
	
	
	--镜头5 
	--npc位置 
	npc.SetPos(2,2506,3220)
	npc.SetAtPos(2,2502,2997)
	-- 面向众人  
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(2487,39,3160,2507,23,3257)		
	camera.ResetLerp(10000)
	camera.ChangeCameraStatic(2466,36,3149,2495,24,3244)			
	global.Wait(0.5)	  
	-- 瑕吃惊  
	npc.SetAnim(2,243,2)
	global.Wait(1)
	
	ui.Dialog(80270,185,0,2,0,0)	--惊讶  	--呀，飘起来了！
	
	--凌波行礼 
	npc.SetAnim(8,213,2)
	global.Wait(1)
	
	ui.Dialog(80271,155,2,8,0,0)	--多谢赐药！
	global.Wait(1)
	
	-- 凌波转向瑕 
	npc.TurnToNpc(8,2,1)
	global.Wait(0.5)
 	
	ui.Dialog(80272,155,2,8,0,0)			--瑕姑娘，过去拿吧。
	
	-- 瑕看向凌波  
	npc.TurnToNpc(2,8,1)
	global.Wait(0.5)
	
	ui.Dialog(80273,192,0,2,0,0)			--嗯。
	
	
	
	
	
	
	--镜头6  
	--npc位置 
	npc.SetPos(2,2535,3083)
	-- 仙草 近镜 
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(2440,69,3123,2497,35,3048)	
	camera.ResetLerp(3000)
	camera.ChangeCameraStatic(2464,48,3086,2516,20,3005)	
	-- 瑕走向空中漂浮的鲜草 
	npc.MoveTo(2,2515,3038,1)
	npc.SetAnim(2,203,2)
	global.Wait(2)
	-- 仙草消失  
	npc.SetAppear(13,0,1)
	npc.StopSE(13)
	global.Wait(1)
	--淡出 
	effect.FadeOut(1,1)
	global.Wait(1)
	
	
	
	
	
	--镜头7  
	--npc位置  
	npc.SetPos(1,2508,3231)
	npc.SetAt(1,0,-1)
	npc.SetPos(2,2484,3147)
	npc.SetPos(4,2524,3249)
	npc.SetAt(4,0,-1)
	npc.SetAnim(4,209)
	npc.SetPos(5,2489,3249)
	npc.SetAt(5,0,-1)
	npc.SetPos(8,2467,3235)
	npc.SetAtPos(8,2484,3147)
	-- 面向众人 
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(2565,78,3085,2512,40,3161)
	camera.ResetLerp(3000)
	camera.ChangeCameraStatic(2499,48,3152,2481,24,3247)	
	--淡入 
	effect.FadeIn(1,1)
	--动作 
	-- 瑕走到众人身前 
	npc.MoveTo(2,2485,3209,1)
	-- 众人围住瑕 
	npc.TurnToNpc(1,2)
	npc.SetHeadRotTo(8,2,0,50)
	global.Wait(1)
	-- 瑕笑 
	npc.TurnToNpc(2,1,1)
	global.Wait(0.5)
	npc.SetAnim(2,211,2)
	global.Wait(1)
	
	ui.Dialog(80274,191,2,2,0,0)			--拿到了。
	
	-- 夏侯看向凌波 
	npc.SetHeadRot(1,0,0)
	npc.TurnToNpc(1,8,1)
	global.Wait(0.5)
	
	ui.Dialog(80275,523,0,1,0,0)--凌波道长，这几株草，确定是草谷道长所言之物吗？

	-- 凌波看向夏侯 
	npc.SetHeadRot(8,0,0)
	npc.TurnToNpc(8,1,1)
	global.Wait(0.5)
 
	ui.Dialog(80276,155,2,8,0,0)			--嗯，此草仙气充盈，不会有错。
	
	--罡斩笑 
	npc.SetAnim(5,211,2)
	global.Wait(1)
	
	ui.Dialog(80277,112,0,5,0,0)			--哈哈，小姑娘这次可以放心了。
	global.Wait(1)
	
	
	
	
	--镜头8 
	-- 特写瑕
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(2502,36,3234,2445,28,3152)	
	global.Wait(0.5)
	-- 瑕沉默
	npc.SetAnimSpeed(2,30)
	npc.SetAnim(2,209)
	npc.SetAnimSpeed(2,100)
	global.Wait(1)	
 
	ui.Dialog(80278,502,0,2,0,0)	--安心  --（我的病终于……）
	
	
	
	
	
	--镜头9  
	-- 面向夏侯  
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(2531,44,3194,2451,22,3249)	
	camera.ResetLerp(10000)
	camera.ChangeCameraStatic(2536,43,3199,2451,23,3249)		
	global.Wait(0.5)
	-- 夏侯看向瑕 
	npc.TurnToNpc(1,2,1)
	global.Wait(0.5)

	ui.Dialog(80279,521,0,1,0,0)		--既然已经拿到了草药，那我们便回去吧？
 
	-- 瑕点头 
	npc.SetHeadRot(2,0,20,1,40)
	global.Wait(0.15)
	npc.SetHeadRot(2,0,0,1,50)
	
	
	
	
	
	--镜头10  
	-- 面向暮菖兰
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(2530,40,3215,2515,20,3312)		
	global.Wait(1)
	
	ui.Dialog(80280,176,0,4,0,0)		--只有两棵……太少了吧。
	
	--拉镜头 
	camera.ResetLerp(3000)
	camera.ChangeCameraStatic(2566,48,3156,2506,23,3232)		
	-- 暮菖兰走向仙草  
	npc.SetAnimSpeed(4,30)
	npc.SetAnim(4,200)
	npc.SetAnimSpeed(4,100)
	global.Wait(2)
	npc.MoveTo(4,2531,3157)
	global.Wait(2)	
	-- 众人看向暮菖兰离开方向 
	npc.SetHeadRot(1,0,0)
	npc.SetHeadRot(2,0,0)
	npc.SetHeadRot(5,0,0)
	npc.SetHeadRot(8,0,0)
	npc.TurnToNpc(1,4)
	npc.TurnToNpc(2,4)
	npc.TurnToNpc(5,4)
	npc.TurnToNpc(8,4)
	global.Wait(1)

	ui.Dialog(80281,185,2,2,0,0)		--咦？可是，草谷道长说只要两棵就好啊。
	
	
	
	
	--镜头11 
	--npc位置 
	npc.Stop(4)
	npc.SetPos(4,2525,3046)
	npc.SetAt(4,0,-1)
	-- 仙草  
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(2468,54,3126,2518,32,3042)	
	camera.ResetLerp(10000)
	camera.ChangeCameraStatic(2502,37,3083,2551,27,2997)		
	global.Wait(1)
	-- 暮菖兰转向身后 
	npc.TurnToNpc(4,2,1,1)
	global.Wait(0.5)

	ui.Dialog(80282,163,0,4,0,0)	--笑	--炼药……或许会失败，到时候若是再来采草药，不是又费一次功夫？

	--音乐渐停  
	global.MusicFadeIn(3000,100,0)			
	
	-- 暮菖兰转向仙草  
	npc.TurnTo(4,0,-1,1)
	global.Wait(2)
 
	ui.Dialog(80283,163,0,4,0,0)	--笑	--不如多采几棵作为备用。
	ui.Dialog(80284,152,0,8,0,0)	--焦急--啊！且慢——
	

	
	
	
	--特效    
	-- 岚翼攻击特效
	-- map.ChangeNoScript(1,10)
	-- npc.Create(4,4,2525,3046)
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(2558,25,3231,2495,11,3155)	
	npc.SetPos(1,2490,3238)
	npc.SetAtPos(1,2514,3080)
	npc.SetPos(2,2510,3233)
	npc.SetAtPos(2,2514,3080)
	npc.SetPos(4,2534,3200)
	npc.SetAnim(4,226)
	npc.SetAt(4,0,-1)
	npc.SetPos(5,2522,3163)
	npc.SetAnim(5,101)
	npc_weapon(5,5)
	npc.SetAt(5,0,-1)
	npc.SetPos(8,2480,3215)
	npc.SetAtPos(8,2514,3080)	
	global.CreateCameraSE(4,3346,1)
	
	
	
	
	
	
	
	
	
	
	
	
	--镜头12
	--npc位置 
	-- npc.SetPos(1,2490,3238)
	-- npc.SetAtPos(1,2514,3080)
	-- npc.SetPos(2,2510,3233)
	-- npc.SetAtPos(2,2514,3080)
	-- npc.SetPos(4,2534,3200)
	-- npc.SetAnim(4,226)
	-- npc.SetAt(4,0,-1)
	-- npc.SetPos(5,2522,3163)
	-- npc.SetAnim(5,101)
	-- npc_weapon(5,5)
	-- npc.SetAt(5,0,-1)
	-- npc.SetPos(8,2480,3215)
	-- npc.SetAtPos(8,2514,3080)
	-- 面向暮菖兰后背  
	-- camera.ResetLerp(0)
	-- camera.ChangeCameraStatic(2558,25,3231,2495,11,3155)	
	--淡入 
	-- effect.FadeIn(1,1)
	global.Wait(1)
	--拉镜头  
	camera.ResetLerp(4000)
	camera.ChangeCameraStatic(2564,15,3228,2507,28,3147)		
	-- 播放音乐 zd08
	global.PlayMusic(108,100,1)		
	global.WaitForCameraLerp()
	global.Wait(1)



	
	
	
	
	
	--镜头13
	camera.ResetLerp(0)
	-- camera.ChangeCameraStatic(2572,44,3140,2518,15,3219)		
	camera.ChangeCameraStatic(2477,45,3123,2524,17,3207)
	global.Wait(0.5)
	-- 瑕跑过来蹲下   
	npc.RunTo(2,2508,3207,1)
	npc.TurnToNpc(2,4,1)
	npc.SetAnim(2,220)
	global.Wait(1)
	
	ui.Dialog(80285,188,2,2,0,0)	--暮姐姐没受伤吧？
	global.Wait(1)
	
	--瑕暮菖兰恢复 
	npc.SetAnimSpeed(2,10)
	npc.SetAnimSpeed(4,10)
	npc.SetAnim(4,200)
	global.Wait(0.3)
	npc.SetAnim(2,200)
	-- global.Wait(0.5)
	global.Wait(1)
	npc.SetAnimSpeed(2,100)	
	npc.SetAnimSpeed(4,100)	
	--暮菖兰摇头 
	npc.SetAnim(4,207,2)
	global.Wait(1)
	
	ui.Dialog(80286,175,0,4,0,0)	--没、没事。
	
	--镜头转向罡斩  
	-- camera.ResetLerp(3000)
	-- camera.ChangeCameraStatic(2570,46,3131,2500,22,3198)			
	global.Wait(1)
	-- 暮菖兰看向罡斩
	npc.TurnToNpc(2,11)
	npc.SetHeadRotTo(4,5,1,50)
	-- npc.SetHeadRotTo(2,11,1,50)
	global.Wait(1)
	
	
	
	
	

	--镜头14
	--npc位置 
	npc.SetHeadRot(2,0,0)
	npc.SetHeadRot(4,0,0)
	npc.SetHeadRot(8,0,0)
	npc.SetAtPos(2,2514,3080)
	npc.SetAtPos(4,2514,3080)
	npc.SetAtPos(8,2514,3080)
	-- npc.TurnToNpc(2,11)
	-- npc.TurnToNpc(4,11)
	-- npc.TurnToNpc(8,11)
	npc.SetVisible(11,1)
	npc.CreateSE(11,1654)
	-- 特写岚翼
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(2587,67,3291,2534,37,3212)	
	camera.ResetLerp(8000)
	camera.ChangeCameraStatic(2587,67,3291,2544,41,3205)		
	--音效 狂风 
	global.PlaySound(2063,100)
	--岚翼出现  
	npc.SetSpeed(11,0.15)
	npc.FloatTo(11,2514,15,3080)
	global.Wait(1)
	
	
	
	--镜头15 
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(2546,33,3133,2497,62,3051)	
	camera.ResetLerp(4000)
	camera.ChangeCameraStatic(2550,29,3140,2502,55,3056)		
	global.WaitForCameraLerp()
	npc.SetSpeed(11,1)
	global.Wait(0.5)
	camera.ResetLerp(14000)
	camera.ChangeCameraStatic(2521,46,3143,2507,59,3045)		
	global.Wait(1)	
	
	ui.Dialog(80287,695,0,11,0,0)	--我乃守护仙竹林的岚翼。
	ui.Dialog(80288,695,0,11,0,0)	--大胆凡人，既已拿到药草，却心存贪念，仍想再取，着实可恶！
	

	
	
	
	
	
	
	
	--镜头16 
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(2478,39,3176,2483,22,3275)	
	camera.ResetLerp(8000)
	camera.ChangeCameraStatic(2490,39,3175,2493,25,3274)		
	global.Wait(0.5)

	ui.Dialog(80289,153,0,8,0,0)	  --皱眉 --糟了！
	global.Wait(1)
	
	--夏侯行礼 
	npc.SetAnim(1,213,2)
	global.Wait(2)

	ui.Dialog(80290,526,0,1,0,0)	--焦急--仙灵请息怒，我等并非有意——
	
	
	
	
	
	
	
	
	
	--镜头17
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(2463,54,3081,2499,26,3170)	
	camera.ResetLerp(4000)
	camera.ChangeCameraStatic(2485,42,3104,2503,19,3200)		

	-- 暮菖兰跑上前 
	-- 暮菖兰备战   	
	npc.SetHeadRot(4,0,0)
	npc.RunTo(4,2490,3140,1)
	npc.TurnToNpc(4,11,1)
	npc.SetHeadRot(4,-10,0)	
	npc_weapon(4,4)
	npc.SetAnim(4,101)

 
	ui.Dialog(80291,179,0,4,0,0)	--焦急--要是我打败了你，是不是就想拿多少仙草都可以？

	
	

	
	-- 众人看向暮菖兰 
	npc.SetHeadRotTo(2,4,0,50)
	npc.SetHeadRot(5,30,5,0,50)
	npc.SetHeadRotTo(8,4,0,50)
	npc.SetHeadRotTo(1,4,1,50)
	global.Wait(0.5)
	
	ui.Dialog(80292,523,2,1,0,0)	--吃惊 --暮姑娘!
	ui.Dialog(80293,185,2,2,0,0)	--吃惊 --暮姐姐，你——!
	ui.Dialog(80294,152,2,8,0,0)	--吃惊 --暮姑娘，不可再激怒仙灵！!
	ui.Dialog(80295,111,0,5,0,0)	--严肃 	--……!
	ui.Dialog(80296,179,0,4,0,0)--……你们不必插手，在旁边看着就好。
	ui.Dialog(80297,181,0,4,0,0)	--坚定  --这药草，我是非取不可！
	
	
	
	
	
	
	
	
	
	
	
	--镜头18
	-- 特写岚翼
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(2517,51,3113,2511,74,3016)	
	camera.ResetLerp(8000)
	camera.ChangeCameraStatic(2518,48,3122,2512,71,3025)			
	global.Wait(1)
	--众人看向岚翼 
	npc.SetHeadRotTo(1,11)
	npc.SetHeadRotTo(2,11)
	npc.SetHeadRotTo(5,11)
	npc.SetHeadRotTo(8,11)
	-- 岚翼 212 对话
	npc.SetAnim(212,2)
	global.Wait(1)

	ui.Dialog(80298,695,0,11,0,0)	--放肆！无知狂妄！
	global.Wait(1)
	
	
	
	
	--镜头19
	-- 越过岚翼 面向众人 
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(2514,89,3037,2523,42,3125)	
	camera.ResetLerp(8000)
	camera.ChangeCameraStatic(2519,89,3038,2512,40,3125)			
	global.Wait(1)	

	ui.Dialog(80299,118,0,5,0,0)	--唉～你打得痛快，让我一边干看着，那怎么行？
	global.Wait(1)
	ui.Dialog(80300,113,0,5,0,0)	--哈哈哈，大伙儿一块上啊！
	global.Wait(0.5)

	player.AddMagic(78)--浮香掠影
    ui.Message(70025)--习得绝技：浮香掠影--暮菖兰习得绝技：浮香掠影 
	ui.Message(170701)--暮菖兰习得被动绝技：兰
	player.AddMagic(3031)--兰
	global.Wait(0.5)
	
	--清理npc 恢复转头 
	npc_weapon(4,0)
	npc_weapon(5,0)	
	for	i=1,10,1
		do 
		npc.SetHeadRot(i,0,0)
		end
	

	

	--暮菖兰、罡斩强制出战
	--夏侯三人先离队
	player.Remove(p_id(1))
	player.Remove(p_id(2))
	player.Remove(p_id(8))	
	--锁定暮菖兰、罡斩
	player.SetMainPlayer(p_id(4))	--放队首
	player.LockPlace(p_id(4),1)		--锁定	
	player.LockPlace(p_id(5),1)		--锁定		
	--加回夏侯三人 
	player.Add(p_id(1))
	player.Add(p_id(2))
	player.Add(p_id(8))
	
	
	
	
	-- func_end(0,0,1)	
	player.Control(1)
	global.SetWideScreen(0)
	-- boss战    岚翼 	
	battle.Begin(1016,509,1)




	

	
	-- global.Wait(0.5)
	
	-- for i=1,20,1
		-- do
		-- npc.Destroy(i)
		-- end	

	
	
	-- func_end(2500,3200,1,1)				
	

	
	
end	
end